# PBYTEArray Class Reference

Array of unsigned characters. More...

`#include <array.h>`

Inheritance diagram for PBYTEArray:

List of all members.

## Public Member Functions

Construction
| PBYTEArray (PINDEX initialSize=0)
| Construct a new dynamic array of unsigned chars.
| PBYTEArray (BYTE const *buffer, PINDEX length, PBoolean dynamic=true)
| Construct a new dynamic array of unsigned chars.

## Detailed Description

Array of unsigned characters.

## Constructor & Destructor Documentation

PBYTEArray::PBYTEArray | ( | PINDEX | initialSize = `0` | ) |

Construct a new dynamic array of unsigned chars.

The array is initialised to all zeros.

Parameters:

  initialSize | Initial number of elements in the array.

PBYTEArray::PBYTEArray | ( | BYTE const * | buffer,
|  | PINDEX | length,
|  | PBoolean | dynamic = `true` |
| ) |  |  |

Construct a new dynamic array of unsigned chars.

Parameters:

  buffer | Pointer to an array of BYTEs.
  length | Number of elements pointed to by `buffer`.
  dynamic | Buffer is copied and dynamically allocated.

The documentation for this class was generated from the following file:

- array.h